d3.csv("https://vizhub.com/FrankoOrtmann/datasets/data.csv")
  .then(function(data) {

  data.forEach(function(data) {
    data.poverty = +data.poverty;
    data.povertyMOE = +data.povertyMOE;
    data.age = +data.age;
    data.ageMOE = +data.ageMOE;
    data.income = +data.income;
    data.incomeMOE = +data.incomeMOE;
    data.healthcare = +data.healthcare;
    data.healthcareLow = +data.healthcareLow;
    data.healthcareHigh = +data.healthcareHigh;
    data.obesity = +data.obesity;
    data.obesityLow = +data.obesityLow;
    data.obesityHigh = +data.obesityHigh;
    data.smokes = +data.smokes;
    data.smokesLow = +data.smokesLow;
    data.smokesHigh = +data.smokesHigh;
    });

console.log(data)


var svgWidth = 1000;
var svgHeight = 600;

var margin = {
  top: 50,
  right: 50,
  bottom: 50,
  left: 50
};

var height = svgHeight - margin.top - margin.bottom;
var width = svgWidth - margin.left - margin.right;

var svg = d3.select("#scatter")
  .append("svg")
  .attr("height", svgHeight)
  .attr("width", svgWidth)

  svg.selectAll("circle")
  .data(data)
  .enter()
  .append("circle")
  .attr("cx", d => d.smokes)
  .attr("cy", d => d.poverty)
  .attr("r", 10)

  svg.selectAll("text")
  .data(data)
  .enter()
  .append("text")
  .text(d => d.abbr)
  .attr("x", d => d.smokes)
  .attr("y", d => d.poverty)

// shift everything over by the margins
var chartGroup = svg.append("g")
  .attr("transform", `translate(${margin.left}, ${margin.top})`);

// scale y to chart height
var yLinearScale = d3.scaleLinear()
      .domain([d3.extent(d => data.smokes)])
      .range([0, width]);

// scale x to chart width
var xScale = d3.scaleBand()
  .domain(d => data.poverty)
  .range([0, svgWidth]);

// create axes
var yAxis = d3.axisLeft(yLinearScale);
var xAxis = d3.axisBottom(xScale);  

chartGroup.append("g")
  .attr("transform", `translate(0, ${chartHeight})`)
  .call(xAxis);

chartGroup.append("g")
  .call(yAxis);
});
